/*
 * file CcSymlink.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM 
 * com.ibm.rational.wvcm.stp.cc.CcSymlink
 *
 * (C) Copyright IBM Corporation 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.wvcm.stp.cc;

import javax.wvcm.ControllableSymbolicLink;

/**
 * A proxy for a ClearCase symbolic link.
 * <p>
 * A VOB symbolic link is a separate, unversioned object. It contains a
 * character string, the link text, in the form of a path name.
 * <p>
 * Since all CM API operations automatically resolve a symbolic link to its
 * target, proxies of this kind will only be created when such a target is
 * unreachable.
 */
public interface CcSymlink extends CcFile, ControllableSymbolicLink {
}
